Subject: Re: [RFC] genalloc != generic DEVICE memory allocator

From: Pantelis Antoniou <[email-masked]>
Date: Thu, 22 Dec 2005 16:15:36 +0200

Andrey Volkov wrote:
> Hi Pantelis,
> Pantelis Antoniou wrote:
>>Andrey Volkov wrote:

[snip]

>>
>>Hi Andrey,
>>
>>FYI, on arch/ppc/lib/rheap.c theres an implementation of a remote heap.
>>
>>It is currently used for the management of freescale's CPM1 & CPM2 internal
>>dual port RAM.
>>
>>Take a look, it might be what you have in mind.
>>
>>Regards
>>
>>Pantelis
> 
> 
> Thanks I missed it (and small wonder! :( ).
> 
> Andrew, Is somebody count HOW MANY dev specific implementation
> of buddy/first-fit allocators now in kernel?
> 

Yes, it is indeed messy.

The rheap implementation is generic enough and I believe can fit most of the
special memory allocators needs. If you'd like I could move it somewhere
generic and test it.

Regards

Pantelis